Platform compatibility
curl --request GET \
--url https://api.galtea.ai/platform-compatibility \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.galtea.ai/platform-compatibility"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.galtea.ai/platform-compatibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.galtea.ai/platform-compatibility",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.galtea.ai/platform-compatibility"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.galtea.ai/platform-compatibility")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.galtea.ai/platform-compatibility")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"docs": {
"url": "https://docs.galtea.ai/v5.12"
},
"sdk": {
"majors": [
{
"major": 5,
"endsOn": null
}
],
"latest": "5.12.0"
},
"cli": {
"majors": [
{
"major": 5,
"endsOn": null
}
],
"latest": "5.12.0"
},
"platform": "5.12.0"
}{
"error": "Error type",
"message": "Error message description"
}Platform compatibility
The platform release this API runs, the address of its docs, the latest SDK and CLI releases built with it, and the SDK and CLI major versions it supports, so a client can tell whether it is compatible. Requires authentication; open to every authenticated user.
GET
/
platform-compatibility
Platform compatibility
curl --request GET \
--url https://api.galtea.ai/platform-compatibility \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.galtea.ai/platform-compatibility"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.galtea.ai/platform-compatibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.galtea.ai/platform-compatibility",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.galtea.ai/platform-compatibility"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.galtea.ai/platform-compatibility")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.galtea.ai/platform-compatibility")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"docs": {
"url": "https://docs.galtea.ai/v5.12"
},
"sdk": {
"majors": [
{
"major": 5,
"endsOn": null
}
],
"latest": "5.12.0"
},
"cli": {
"majors": [
{
"major": 5,
"endsOn": null
}
],
"latest": "5.12.0"
},
"platform": "5.12.0"
}{
"error": "Error type",
"message": "Error message description"
}You are reading the docs of Galtea 5.19. Read this page in the latest version.
Authorizations
Response
Platform version and supported client versions